# ParadisEO-PEOMovingObjects: peoSynchronousMultiStart< EntityType >::AbstractAggregationAlgorithm Struct Reference

# peoSynchronousMultiStart< EntityType >::AbstractAggregationAlgorithm Struct Reference

Inheritance diagram for peoSynchronousMultiStart< EntityType >::AbstractAggregationAlgorithm:

List of all members.

## Public Member Functions

virtual | ~AbstractAggregationAlgorithm ()
virtual void | operator() (AbstractDataType &dataTypeInstanceA, AbstractDataType &dataTypeInstanceB)

## Detailed Description

### template<typename EntityType>
struct peoSynchronousMultiStart< EntityType >::AbstractAggregationAlgorithm

Definition at line 157 of file peoSynchronousMultiStart.h.

The documentation for this struct was generated from the following file:

- peoSynchronousMultiStart.h